Bug 876575 - 3.2 - [vdsm] createVG fails using LUN with space in its name (using friendly names configuration in multipath)
3.2 - [vdsm] createVG fails using LUN with space in its name (using friendly ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.1.1
x86_64 Linux
unspecified Severity high
: ---
: 3.2.0
Assigned To: Yeela Kaplan
vvyazmin@redhat.com
storage
: TestBlocker
Depends On:
Blocks: 907252 915537
  Show dependency treegraph
 
Reported: 2012-11-14 09:00 EST by vvyazmin@redhat.com
Modified: 2016-02-10 15:21 EST (History)
10 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-6.0.el6ev.x86_64.rpm
Doc Type: Release Note
Doc Text:
The LVM filter implemented in VDSM now supports device names with udev special characters, including hyphens (-), underscores (_), and spaces ( ). Users can now create storage domains and LUNs with unicode characters in their names.
Story Points: ---
Clone Of:
: 907252 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Logs vdsm, screen-shots (1.78 MB, application/x-gzip)
2012-11-14 09:00 EST, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2012-11-14 09:00:27 EST
Created attachment 644885 [details]
## Logs vdsm, screen-shots

Create multipath with friendly names (alias) with spaces (possibly due to space in the device name)

Create multipath with friendly names (alias) without spaces via “multipath.conf” file – Succeed,with spaces – Failed 

Tested on RHEVM 3.1 - SI24

RHEVM: rhevm-3.1.0-26.el6ev.noarch
VDSM: vdsm-4.9.6-41.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6_3.5.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6_3.4.x86_64
SANLOCK: sanlock-2.3-4.el6_3.x86_64



[root@green-vdsa ~]# multipath -ll  -v2
kipi lun 04 (3514f0c56100000f4) dm-2 XtremIO,XtremApp
size=200G features='0' hwhandler='0' wp=rw
`-+- policy='round-robin 0' prio=1 status=active
  |- 4:0:0:0 sdb 8:16 active ready running
  `- 4:0:1:0 sdd 8:48 active ready running
kipi lun 03 (3514f0c56100000f5) dm-3 XtremIO,XtremApp
size=200G features='0' hwhandler='0' wp=rw
`-+- policy='round-robin 0' prio=1 status=active
  |- 4:0:0:1 sdc 8:32 active ready running
  `- 4:0:1:1 sde 8:64 active ready running
You have new mail in /var/spool/mail/root


[root@green-vdsa ~]# pvs -a
  PV                            VG   Fmt  Attr PSize  PFree
  /dev/mapper/kipi\x20lun\x2003           ---      0     0 
  /dev/mapper/kipi\x20lun\x2004           ---      0     0 
  /dev/ram0                               ---      0     0 
  /dev/ram1                               ---      0     0 
  /dev/ram10                              ---      0     0 
  /dev/ram11                              ---      0     0 
  /dev/ram12                              ---      0     0 
  /dev/ram13                              ---      0     0 
  /dev/ram14                              ---      0     0 
  /dev/ram15                              ---      0     0 
  /dev/ram2                               ---      0     0 
  /dev/ram3                               ---      0     0 
  /dev/ram4                               ---      0     0 
  /dev/ram5                               ---      0     0 
  /dev/ram6                               ---      0     0 
  /dev/ram7                               ---      0     0 
  /dev/ram8                               ---      0     0 
  /dev/ram9                               ---      0     0 
  /dev/root                               ---      0     0 
  /dev/sda1                               ---      0     0 
  /dev/sda2                     vg0  lvm2 a--  67.77g    0 
  /dev/vg0/lv_home                        ---      0     0 
  /dev/vg0/lv_swap                        ---      0     0 

[root@green-vdsa ~]# pvcreate /dev/mapper/kipi\x20lun\x2003
  Device /dev/mapper/kipix20lunx2003 not found (or ignored by filtering).

[root@green-vdsa ~]# ls -lh /dev/mapper/k*
lrwxrwxrwx. 1 root root 7 Nov  5 18:05 /dev/mapper/kipi\x20lun\x2003 -> ../dm-3
lrwxrwxrwx. 1 root root 7 Nov  5 18:05 /dev/mapper/kipi\x20lun\x2004 -> ../dm-2
[root@green-vdsa ~]# 


/var/log/vdsm/vdsm.log

Thread-603::DEBUG::2012-11-05 18:08:16,527::__init__::1164::Storage.Misc.excCmd::(_log) '/usr/bin/sudo -n /sbin/lvm pvcreate --config " devices { preferred_names = [\\"^/dev/mapper/\\"] ignore_suspended_devices=1 write_cache_state=0 disa
ble_after_error_count=3 filter = [ \\"a%kipi\\x20lun\\x2003|kipi\\x20lun\\x2004%\\", \\"r%.*%\\" ] }  global {  locking_type=1  prioritise_write_locks=1  wait_for_locks=1 }  backup {  retain_min = 50  retain_days = 0 } " --test --metadat
asize 128m --metadatacopies 2 --metadataignore y /dev/mapper/kipi\\x20lun\\x2004 /dev/mapper/kipi\\x20lun\\x2003' (cwd None)
Thread-603::DEBUG::2012-11-05 18:08:16,663::__init__::1164::Storage.Misc.excCmd::(_log) FAILED: <err> = '  Device /dev/mapper/kipi\\x20lun\\x2004 not found (or ignored by filtering).\n  Device /dev/mapper/kipi\\x20lun\\x2003 not found (o
r ignored by filtering).\n'; <rc> = 5
Thread-603::DEBUG::2012-11-05 18:08:16,664::lvm::751::Storage.LVM::(testPVCreate) rc: 5, out: ['  Test mode: Metadata will NOT be updated and volumes will not be (de)activated.'], err: ['  Device /dev/mapper/kipi\\x20lun\\x2004 not found
 (or ignored by filtering).', '  Device /dev/mapper/kipi\\x20lun\\x2003 not found (or ignored by filtering).'], unusedDevs: set([]), usedDevs: set(['/dev/mapper/kipi\\x20lun\\x2003', '/dev/mapper/kipi\\x20lun\\x2004'])
Thread-603::INFO::2012-11-05 18:08:16,665::logUtils::39::dispatcher::(wrapper) Run and protect: getDeviceList, Return response: {'devList': [{'status': 'used', 'vendorID': 'XtremIO', 'capacity': '214748364800', 'fwrev': '1.0', 'vgUUID': 
'', 'pathlist': [], 'logicalblocksize': '512', 'pathstatus': [{'physdev': 'sdb', 'type': 'FCP', 'state': 'active', 'lun': '0'}, {'physdev': 'sdd', 'type': 'FCP', 'state': 'active', 'lun': '0'}], 'devtype': 'FCP', 'physicalblocksize': '40
96', 'pvUUID': '', 'serial': 'SXtremIO_XtremApp_3d3f811e1d5748d8a3f80a085aa81bf6', 'GUID': 'kipi\\x20lun\\x2004', 'productID': 'XtremApp'}, {'status': 'used', 'vendorID': 'XtremIO', 'capacity': '214748364800', 'fwrev': '1.0', 'vgUUID': '
', 'pathlist': [], 'logicalblocksize': '512', 'pathstatus': [{'physdev': 'sdc', 'type': 'FCP', 'state': 'active', 'lun': '1'}, {'physdev': 'sde', 'type': 'FCP', 'state': 'active', 'lun': '1'}], 'devtype': 'FCP', 'physicalblocksize': '409
6', 'pvUUID': '', 'serial': 'SXtremIO_XtremApp_5f522d0a32a440a3be1712e6b9c4389e', 'GUID': 'kipi\\x20lun\\x2003', 'productID': 'XtremApp'}]}
Thread-603::DEBUG::2012-11-05 18:08:16,665::task::1172::TaskManager.Task::(prepare) Task=`907cf7d1-be4c-4682-95aa-33a24f1ef5c8`::finished: {'devList': [{'status': 'used', 'fwrev': '1.0', 'vgUUID': '', 'pathlist': [], 'logicalblocksize': 
'512', 'devtype': 'FCP', 'physicalblocksize': '4096', 'serial': 'SXtremIO_XtremApp_3d3f811e1d5748d8a3f80a085aa81bf6', 'GUID': 'kipi\\x20lun\\x2004', 'productID': 'XtremApp', 'vendorID': 'XtremIO', 'capacity': '214748364800', 'pathstatus'
: [{'physdev': 'sdb', 'state': 'active', 'type': 'FCP', 'lun': '0'}, {'physdev': 'sdd', 'state': 'active', 'type': 'FCP', 'lun': '0'}], 'pvUUID': ''}, {'status': 'used', 'fwrev': '1.0', 'vgUUID': '', 'pathlist': [], 'logicalblocksize': '
512', 'devtype': 'FCP', 'physicalblocksize': '4096', 'serial': 'SXtremIO_XtremApp_5f522d0a32a440a3be1712e6b9c4389e', 'GUID': 'kipi\\x20lun\\x2003', 'productID': 'XtremApp', 'vendorID': 'XtremIO', 'capacity': '214748364800', 'pathstatus':
 [{'physdev': 'sdc', 'state': 'active', 'type': 'FCP', 'lun': '1'}, {'physdev': 'sde', 'state': 'active', 'type': 'FCP', 'lun': '1'}], 'pvUUID': ''}]}


[root@green-vdsa ~]# cat /etc/multipath.conf
# RHEV REVISION 0.8

defaults {
    polling_interval        5
    getuid_callout          "/sbin/scsi_id --whitelisted --replace-whitespace --device=/dev/%n"
    no_path_retry           fail
    user_friendly_names     yes
    flush_on_last_del       yes
    fast_io_fail_tmo        5
    dev_loss_tmo            30
    max_fds                 4096

}

# blacklist {
#    wwid 360924fffffffffffffffffffffffffff
#    devnode "^sd[a]$"
#    devnode "^(ram|raw|loop|fd|md|dm-|sr|scd|st)[0-9]*"
#    devnode "^hd[a-z][[0-9]*]"
#    devnode "^cciss!c[0-9]d[0-9]*[p[0-9]*]"
#}

devices {
    device {
        vendor "XtremIO"
        product "XtremApp"
        path_grouping_policy multibus
        getuid_callout "/sbin/scsi_id --whitelisted --replace-whitespace --device=/dev/%n"
        features "1 queue_if_no_path"
        no_path_retry fail
        path_checker readsector0
        failback immediate
        path_selector "round-robin 0"
        rr_min_io 10
        rr_weight priorities
    }
}

multipaths {
    multipath {
        wwid 3514f0c56100000f5
        alias "kipi lun 03"
    }
    multipath {
        wwid 3514f0c56100000f4
        alias "kipi lun 04"
    }
}
Comment 2 Yeela Kaplan 2012-11-15 04:39:00 EST
patch provided: http://gerrit.ovirt.org/#/c/9191/
Comment 4 vvyazmin@redhat.com 2013-02-07 06:35:31 EST
Verified on FC and iSCSI RHEVM 3.2 - SF06 environment:

RHEVM: rhevm-3.2.0-7.el6ev.noarch
VDSM: vdsm-4.10.2-7.0.el6ev.x86_64
LIBVIRT: libvirt-0.10.2-18.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.348.el6.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64


Successfully create new SD with friendly names (alias) with and without spaces

Open a RFE for improve for display LUN name in RHEVM UI. Change “\x20” to space character.
Comment 8 Itamar Heim 2013-06-11 05:50:17 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:50:20 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 05:58:06 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.